import * as plugins from '../plugins.js';
import * as paths from '../paths.js';
import type { Cloudly } from 'ts/classes.cloudly.js';

export class ExternalRegistry extends plugins.smartdata.SmartDataDbDoc<ExternalRegistry, plugins.servezoneInterfaces.data.IExternalRegistry> {
  // STATIC
  public async getRegistryById(registryNameArg: string) {
    this
  }

  // INSTANCE
  public cloudlyRef: Cloudly;
  public smartdataDb: plugins.smartdata.SmartdataDb;

  @plugins.smartdata.svDb()
  public id: string;

  @plugins.smartdata.svDb()
  public data: plugins.servezoneInterfaces.data.IExternalRegistry['data'];

  get db() {
    return this.cloudlyRef.mongodbConnector.smartdataDb;
  }

  constructor(cloudlyRef: Cloudly) {
    super();
    this.cloudlyRef = cloudlyRef;
  }

}
